com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionConfiguration

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionConfiguration

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionConfiguration
    extends Object
    implements Serializable, Cloneable

The configuration settings for a workflow execution including timeout values, tasklist etc. These configuration settings are determined from the defaults specified when registering the workflow type and those specified when starting the workflow execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionConfiguration` `clone()`
`boolean` `equals(Object obj)`
`String` `getChildPolicy()` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`String` `getExecutionStartToCloseTimeout()` The total duration for this workflow execution.
`String` `getLambdaRole()` The IAM role used by this workflow execution when invoking AWS Lambda functions.
`TaskList` `getTaskList()` The task list used for the decision tasks generated for this workflow execution.
`String` `getTaskPriority()` The priority assigned to decision tasks for this workflow execution.
`String` `getTaskStartToCloseTimeout()` The maximum duration allowed for decision tasks for this workflow execution.
`int` `hashCode()`
`void` `setChildPolicy(ChildPolicy childPolicy)` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`void` `setChildPolicy(String childPolicy)` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`void` `setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` The total duration for this workflow execution.
`void` `setLambdaRole(String lambdaRole)` The IAM role used by this workflow execution when invoking AWS Lambda functions.
`void` `setTaskList(TaskList taskList)` The task list used for the decision tasks generated for this workflow execution.
`void` `setTaskPriority(String taskPriority)` The priority assigned to decision tasks for this workflow execution.
`void` `setTaskStartToCloseTimeout(String taskStartToCloseTimeout)` The maximum duration allowed for decision tasks for this workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionConfiguration` `withChildPolicy(ChildPolicy childPolicy)` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`WorkflowExecutionConfiguration` `withChildPolicy(String childPolicy)` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`WorkflowExecutionConfiguration` `withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` The total duration for this workflow execution.
`WorkflowExecutionConfiguration` `withLambdaRole(String lambdaRole)` The IAM role used by this workflow execution when invoking AWS Lambda functions.
`WorkflowExecutionConfiguration` `withTaskList(TaskList taskList)` The task list used for the decision tasks generated for this workflow execution.
`WorkflowExecutionConfiguration` `withTaskPriority(String taskPriority)` The priority assigned to decision tasks for this workflow execution.
`WorkflowExecutionConfiguration` `withTaskStartToCloseTimeout(String taskStartToCloseTimeout)` The maximum duration allowed for decision tasks for this workflow execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionConfiguration

    public WorkflowExecutionConfiguration()

### Method Detail

#### setTaskStartToCloseTimeout

    public void setTaskStartToCloseTimeout(String taskStartToCloseTimeout)

The maximum duration allowed for decision tasks for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `taskStartToCloseTimeout` - The maximum duration allowed for decision tasks for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### getTaskStartToCloseTimeout

    public String getTaskStartToCloseTimeout()

The maximum duration allowed for decision tasks for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  The maximum duration allowed for decision tasks for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### withTaskStartToCloseTimeout

    public WorkflowExecutionConfiguration withTaskStartToCloseTimeout(String taskStartToCloseTimeout)

The maximum duration allowed for decision tasks for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `taskStartToCloseTimeout` - The maximum duration allowed for decision tasks for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionStartToCloseTimeout

    public void setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

The total duration for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `executionStartToCloseTimeout` - The total duration for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### getExecutionStartToCloseTimeout

    public String getExecutionStartToCloseTimeout()

The total duration for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  The total duration for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### withExecutionStartToCloseTimeout

    public WorkflowExecutionConfiguration withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

The total duration for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `executionStartToCloseTimeout` - The total duration for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskList

    public void setTaskList(TaskList taskList)

The task list used for the decision tasks generated for this workflow execution.

Parameters:
  `taskList` - The task list used for the decision tasks generated for this workflow execution.

#### getTaskList

    public TaskList getTaskList()

The task list used for the decision tasks generated for this workflow execution.

Returns:
  The task list used for the decision tasks generated for this workflow execution.

#### withTaskList

    public WorkflowExecutionConfiguration withTaskList(TaskList taskList)

The task list used for the decision tasks generated for this workflow execution.

Parameters:
  `taskList` - The task list used for the decision tasks generated for this workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskPriority

    public void setTaskPriority(String taskPriority)

The priority assigned to decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - The priority assigned to decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

#### getTaskPriority

    public String getTaskPriority()

The priority assigned to decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Returns:
  The priority assigned to decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

#### withTaskPriority

    public WorkflowExecutionConfiguration withTaskPriority(String taskPriority)

The priority assigned to decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - The priority assigned to decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildPolicy

    public void setChildPolicy(String childPolicy)

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### getChildPolicy

    public String getChildPolicy()

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Returns:
  The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionConfiguration withChildPolicy(String childPolicy)

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setChildPolicy

    public void setChildPolicy(ChildPolicy childPolicy)

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionConfiguration withChildPolicy(ChildPolicy childPolicy)

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setLambdaRole

    public void setLambdaRole(String lambdaRole)

The IAM role used by this workflow execution when invoking AWS Lambda functions.

Parameters:
  `lambdaRole` - The IAM role used by this workflow execution when invoking AWS Lambda functions.

#### getLambdaRole

    public String getLambdaRole()

The IAM role used by this workflow execution when invoking AWS Lambda functions.

Returns:
  The IAM role used by this workflow execution when invoking AWS Lambda functions.

#### withLambdaRole

    public WorkflowExecutionConfiguration withLambdaRole(String lambdaRole)

The IAM role used by this workflow execution when invoking AWS Lambda functions.

Parameters:
  `lambdaRole` - The IAM role used by this workflow execution when invoking AWS Lambda functions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionConfiguration clone()

Overrides:
  `clone` in class `Object`